'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-71065f97.js');

function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}

const leanButtonCss = ".btn{background-color:var(--cl-main)}";

const LeanButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return index.h("button", { class: "btn" }, capitalize(this.label));
  }
};
LeanButton.style = leanButtonCss;

const leanHeaderCss = ".l-header{position:fixed;height:60px;width:100%;top:0;left:0;background-color:var(--cl-secondary)}";

const LeanHeader = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("header", { class: "l-header" }, index.h("h1", null, this.label), this.loggedIn && index.h("lean-button", null, "Profile")));
  }
};
LeanHeader.style = leanHeaderCss;

const leanListCss = ":host{display:block}";

const LeanList = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  render() {
    return (index.h("ul", null, index.h("h1", null, capitalize(this.label)), index.h("slot", null)));
  }
};
LeanList.style = leanListCss;

exports.lean_button = LeanButton;
exports.lean_header = LeanHeader;
exports.lean_list = LeanList;
