import { r as registerInstance, h } from './index-07a4c9c1.js';

function capitalize(string) {
  return string.charAt(0).toUpperCase() + string.slice(1);
}

const leanButtonCss = ".btn{background-color:var(--cl-main)}";

const LeanButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return h("button", { class: "btn" }, capitalize(this.label));
  }
};
LeanButton.style = leanButtonCss;

const leanHeaderCss = ".l-header{position:fixed;height:60px;width:100%;top:0;left:0;background-color:var(--cl-secondary)}";

const LeanHeader = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("header", { class: "l-header" }, h("h1", null, this.label), this.loggedIn && h("lean-button", null, "Profile")));
  }
};
LeanHeader.style = leanHeaderCss;

const leanListCss = ":host{display:block}";

const LeanList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    return (h("ul", null, h("h1", null, capitalize(this.label)), h("slot", null)));
  }
};
LeanList.style = leanListCss;

export { LeanButton as lean_button, LeanHeader as lean_header, LeanList as lean_list };
